For the complete documentation index, see llms.txt. This page is also available as Markdown.

Game

List Games (V1 Only)

Lists the currently available games, and provides basic information about each one such as the owner and availability.

POST https://api.rpggo.ai/open/game/gamelist

Request Body

Name
Type
Description

category

String

the category of games, will return all the games by default.

{
  "code": 0,
  "msg": "ok",
  "data": {
    "game_list": [
      {
        "id": 1,
        "name": "Midnight Manor, A Killer Among Us",
        "background": "background of game1",
        "intro": "In the midst of your presence in a castle, a murder unfolds...",
        "image": "https://storage.googleapis.com/rpggo_images/website/logo.svg",
        "scenes": [
          {
            "id": 1,
            "name": "Midnight Scene1",
            "background": "A snowy night in 1903, in an old castle on the outskirts of London..."
            "intro": "scene1 intro",
            "image": "https://storage.googleapis.com/rpggo_images/website/logo.svg"
          },
          {
            "id": 2,
            "name": "Midnight Scene2",
            "background": "A snowy night in 1903..."
            "intro": "scene2 intro",
            "image": "https://storage.googleapis.com/rpggo_images/website/logo.svg"
          }
        ]
      },
      {
        "id": 2,
        "name": "Fatal Palette: The Enigma of the Vanishing Sunflowers",
        "background": "John's lifeless body lay just steps away from where Van Gogh's masterpiece once graced the wall...",
        "intro": "John's lifeless body lay just steps away...",
        "image": "",
        "scenes": [
          {
            "id": 27,
            "name": "scene1",
            "background": "the painting has disappeared without a trace...",
            "intro": "Was it a murder, or did he fall victim to natural causes...",
            "image": "https://storage.googleapis.com/rpggo_images/website/logo.svg"
          }
        ]
      }
    ]
  }
}

Start a new game

Start a new game.

POST https://api.rpggo.ai/open/game/startgame

Request Body

Name
Type
Description

session_id*

String

game session's unique ID, which records the current game state and conversation history.

game_id*

String

game ID, obtainable through the /gamelist API.

scene_id*

String

scene ID, obtainable through the /gamelist API. Ensure that this scene is in the corresponding game.

Change scene and continue the game

Switch to the specified scene and continue a new game

POST https://api.rpggo.ai/open/game/changescene

Request Body

Name
Type
Description

session_id*

String

current session ID, must be an ongoing game session id

game_id*

String

current game ID, obtainable through the /gamelist API.

scene_id*

String

specified scene ID, obtainable through the /gamelist API. Ensure that this scene is in the corresponding game.

Last updated